> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List flows

> Return a paginated list of flows. Supports filtering by `triggerId`, `enabled`, and one or more health `status` values (healthy, failing, blocked), plus free-text `search` and ordering.



## OpenAPI

````yaml /api-reference/workflows.yaml get /flows
openapi: 3.1.0
info:
  title: Workflows
  version: v1
servers:
  - url: https://api.mobilerun.ai
    description: Droidrun Cloud API
security:
  - bearerAuth: []
paths:
  /flows:
    get:
      tags:
        - Flows
      summary: List flows
      description: >-
        Return a paginated list of flows. Supports filtering by `triggerId`,
        `enabled`, and one or more health `status` values (healthy, failing,
        blocked), plus free-text `search` and ordering.
      operationId: listFlows
      parameters:
        - schema:
            type: integer
            exclusiveMinimum: 0
            default: 1
          required: false
          name: page
          in: query
        - schema:
            type: integer
            exclusiveMinimum: 0
            default: 10
          required: false
          name: pageSize
          in: query
        - schema:
            type: string
            format: uuid
          required: false
          name: triggerId
          in: query
        - schema:
            type:
              - boolean
              - 'null'
          required: false
          name: enabled
          in: query
        - schema:
            type: array
            items:
              type: string
              enum:
                - healthy
                - failing
                - blocked
          required: false
          name: status
          in: query
        - schema:
            type: string
            maxLength: 256
          required: false
          name: search
          in: query
        - schema:
            type: string
            enum:
              - name
              - createdAt
              - updatedAt
            default: createdAt
          required: false
          name: orderBy
          in: query
        - schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
          required: false
          name: orderByDirection
          in: query
      responses:
        '200':
          description: List flows
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/Flow'
                  pagination:
                    $ref: '#/components/schemas/Pagination'
                required:
                  - items
                  - pagination
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Mobilerun from '@mobilerun/sdk';

            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });

            const flows = await client.workflows.flows.list();

            console.log(flows.items);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            flows = client.workflows.flows.list()
            print(flows.items)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/droidrun-cloud-go\"\n\t\"github.com/stainless-sdks/droidrun-cloud-go/option\"\n)\n\nfunc main() {\n\tclient := mobileruncloud.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tflows, err := client.Workflows.Flows.List(context.TODO(), mobileruncloud.WorkflowFlowListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", flows.Items)\n}\n"
        - lang: CLI
          source: |-
            mobilerun-cloud workflows:flows list \
              --api-key 'My API Key'
components:
  schemas:
    Flow:
      type: object
      properties:
        id:
          type: string
          format: uuid
        userId:
          type: string
          format: uuid
          description: 'Deprecated: use ownerId (tenancy) / createdBy (actor).'
          deprecated: true
        ownerId:
          type: string
          format: uuid
        createdBy:
          type:
            - string
            - 'null'
          format: uuid
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        triggerId:
          type: string
          format: uuid
        enabled:
          type: boolean
        deviceIds:
          type: array
          items:
            type: string
            format: uuid
        cooldownSeconds:
          type:
            - integer
            - 'null'
        cooldownScope:
          type: string
          enum:
            - flow
            - device
        notifyWebhookId:
          type:
            - string
            - 'null'
          format: uuid
        notifyOnSuccess:
          type: boolean
        notifyOnFailure:
          type: boolean
        lastTriggeredAt:
          type:
            - string
            - 'null'
        status:
          $ref: '#/components/schemas/FlowStatus'
        consecutiveFailures:
          type: integer
          minimum: 0
        lastFailureCode:
          $ref: '#/components/schemas/FlowFailureCode'
        lastFailureAt:
          type:
            - string
            - 'null'
        blockedAt:
          type:
            - string
            - 'null'
        createdAt:
          type:
            - string
            - 'null'
        updatedAt:
          type:
            - string
            - 'null'
      required:
        - id
        - userId
        - ownerId
        - createdBy
        - name
        - description
        - triggerId
        - enabled
        - deviceIds
        - cooldownSeconds
        - cooldownScope
        - notifyWebhookId
        - notifyOnSuccess
        - notifyOnFailure
        - lastTriggeredAt
        - status
        - consecutiveFailures
        - lastFailureCode
        - lastFailureAt
        - blockedAt
        - createdAt
        - updatedAt
    Pagination:
      type: object
      properties:
        hasNext:
          type: boolean
        hasPrev:
          type: boolean
        page:
          type: integer
          minimum: 1
        pageSize:
          type: integer
          minimum: 1
        pages:
          type: integer
          minimum: 0
        total:
          type: integer
          minimum: 0
      required:
        - hasNext
        - hasPrev
        - page
        - pageSize
        - pages
        - total
    FlowStatus:
      type: string
      enum:
        - healthy
        - failing
        - blocked
    FlowFailureCode:
      type:
        - string
        - 'null'
      enum:
        - device_not_found
        - permission_denied
        - client_error
        - transient
        - logic
        - invalid_config
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Opaque
      description: Bearer token via Authorization header

````